> For the complete documentation index, see [llms.txt](https://docs.pascom.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pascom.net/en/operations/clients/desktop-multi-user.md).

# Desktop App Multi-User Usage

Learn in this tutorial how multiple users can use the PASCOM Desktop App on the same system.

## Overview

The PASCOM Desktop App is designed in such a way that a **user profile** is generated and stored locally for each App instance. If you want to allow multiple users to work with the Desktop App on the same system with only one user profile, you need a **separate data directory** for each user.

![Multi-User Setup](https://2713225-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FVIw0BpSv358R2Pr2HflD%2Fuploads%2Fgit-blob-eee3750c69ec7cdad50b2470ce298f44ee736129%2Fmultiuser-desktop_en.png?alt=media)

User data of a PASCOM App is stored in local directories on the computer. So for each user an own **directory** can be created.

## The - -userDir parameter

The **- -userDir** parameter can be used to change the directory for the user profile data. This parameter is given during the execution of the PASCOM App and points to the respective directory location at runtime.

#### Example

1. for userA a separate directory

```
--userDir \tmp\UserA
```

2. for userB a separate directory

```
--userDir \tmp\UserB
```

From the above example, you can see that after the **- -userDir** parameter, the path to the directory location is set.

## Change user profiles at runtime

If you want to quickly change users on the PASCOM Desktop App, this can be done by using an executable path + command line parameter.

{% tabs %}
{% tab title="Windows" %}
Use the **Windows + R** key combination to get to the **"Execute dialog "**. Copy the following path example with your customized directory and click **"OK "**.

```
"%localappdata%\pascom Client\pascom Client.exe" --userDir \tmp\UserA
```

{% endtab %}

{% tab title="Mac" %}
Open a new **Terminal window** and copy the following path example with your customized directory specification into it and press the **"ENTER KEY "**.

```
'/Applications/pascom Client.app/Contents/MacOS/pascom Client' --userDir /tmp/UserA
```

**IMPORTANT:** If the terminal window is closed, this also ends the session of the PASCOM App.
{% endtab %}
{% endtabs %}

## Use desktop shortcut or AppleScript

To be able to change users more comfortably you can create **Desktop shortcuts** (Windows) or **AppleScripts** (MacOS), which at the same time contain the necessary parameters.

{% tabs %}
{% tab title="Windows" %}
Create a new **"shortcut "** of the **PASCOM Client.exe**. Go with a **"right click "** in the **"properties "** to the tab **"shortcut "** and enter there under **"target "**, after the already existing path specification, the command line parameter.

```
--userDir \tmp\UserA
```

The complete entry should look something like this.

```
"C:\Users\servicedesk\AppData\Local\pascom Client\pascom Client.exe" --userDir \tmp\UserA
```

{% endtab %}

{% tab title="Mac" %}
Open a new **Scripteditor** window and copy the following script example with your customized directory and press the **"hammer icon "** to compile the script. Finally save the script as **"App "** to start the PASCOM Desktop App.

```
do shell script "/Applications/pascom\\ Client.app/Contents/MacOS/pascom\\ Client --userDir ~/tmp/UserA"
```

{% endtab %}
{% endtabs %}

{% hint style="success" %}
PASCOM Desktop Apps with different directory names can be used at the same time.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pascom.net/en/operations/clients/desktop-multi-user.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
